/*
 * Copyright 2013, Broadcom Corporation
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Broadcom Corporation;
 * the contents of this file may not be disclosed to third parties, copied
 * or duplicated in any form, in whole or in part, without the prior
 * written permission of Broadcom Corporation.
 */

/** @file
*
* WICED Smart UART
*
* This file provides definitions and function prototypes for the
* WICED Smart Peripheral UART
*
*/
#ifndef PUART_FUNCTIONS_H
#define PUART_FUNCTIONS_H

#define REG32(x)  *((volatile UINT32*)(x))

int App_Puart_init(BLE_PROFILE_PUART_CFG *puart_cfg, void (*puart_rx_callback)(void*));
void uart_interrupt_callback(void* unused);


#endif
